﻿#pragma once
#ifndef RTSP_RESPONSE_INFO_H
#define RTSP_RESPONSE_INFO_H
#include <string>
#include <vector>

class CRtspResponseInfo {
private:
  std::vector<std::string> responseLines;

public:
  CRtspResponseInfo(const std::string& responseBody);

  std::string getRtspProperty(const std::string& propName) const;
  std::vector<std::string> getSdpProperties(const std::string& propName) const;
};
#endif
