﻿#pragma once
#include <string>

#include "EliveEnums.h"

class CWrapRTSPClient;

class RtspExtraFields
{
private:
  std::string commonField;
  std::string oneTimeField;

  std::string composeAllFields(ELiveStep step) const;
  std::string composeWithoutCommonFields(ELiveStep step) const;
  std::string mergeFields(const std::string& leftFields, const std::string& separator, const std::string& rigthFields) const;
public:
  void setCommonField(const std::string& field);
  void setOneTimeField(const std::string& field);

  void setupRequestFields(CWrapRTSPClient* client, ELiveStep step);
};

