﻿#pragma once
#ifndef URI_INFO_H
#define URI_INFO_H
#include <string>

class CLive555Wrapper;

class CUriInfo {
private:
  bool isParsedMark;
  bool isAbsoluteMark;
  std::string rawUri;
  int hostAddressType;
public:
  CUriInfo(const CLive555Wrapper& transportLib, const char* uri);

  bool isParsed() const { return isParsedMark; }
  bool isAbsolute() const { return isAbsoluteMark; }
  int getHostAddressType() const { return hostAddressType; }
};
#endif
