﻿///////////////////////////////////////////////////////////////////////////
//!  @author        Alexander Ryltsov
////

#pragma once

#ifndef __PUSHGUIDS_DEFINED
#define __PUSHGUIDS_DEFINED


// {32A94705-04AC-4C22-AE99-0437D31263CB}
DEFINE_GUID(CLSID_SourceFilter,
  0x32a94705, 0x4ac, 0x4c22, 0xae, 0x99, 0x4, 0x37, 0xd3, 0x12, 0x63, 0xcb);

// {AC189557-F766-4799-B729-7B7448F36E38}
DEFINE_GUID(IID_TestControl,
  0xac189557, 0xf766, 0x4799, 0xb7, 0x29, 0x7b, 0x74, 0x48, 0xf3, 0x6e, 0x38);

// {CC35FE36-B57B-4B8C-9993-45D014C5326B}
DEFINE_GUID(IID_Library,
  0xcc35fe36, 0xb57b, 0x4b8c, 0x99, 0x93, 0x45, 0xd0, 0x14, 0xc5, 0x32, 0x6b);


DECLARE_INTERFACE_(ITestControl, IUnknown)
{
  STDMETHOD(RunSequence) (int Sequence) = 0;
  STDMETHOD(RunStep) (int Step) = 0;
  STDMETHOD(GetActivity) (int *Activity) = 0;
  STDMETHOD(StopActivity) () = 0;
  STDMETHOD(GetEvents)(LPOLESTR *EventText) = 0;
};


#endif


