﻿#include "UriInfo.h"
#include <NetAddress.hh>
#include "rtspwrapper.h"

CUriInfo::CUriInfo(const CLive555Wrapper& transportLib, const char* uri): isParsedMark(false), isAbsoluteMark(false), hostAddressType(-1)
{
  rawUri = uri;
  NetAddress host;
  if (transportLib.parseUri(uri, host)) {
    isParsedMark = true;
    isAbsoluteMark = rawUri.find("://") != std::string::npos;
    hostAddressType = host.af();
  }
}
